/**
 * Copyright (c) 2010 jolira. All rights reserved. This program and the accompanying materials are made available under
 * the terms of the GNU Public License 2.0 which is available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */

package com.google.code.joliratools.logdb.parser;

import java.io.IOException;

/**
 * Read through an input stream record by record.
 * 
 * @author jfk
 * @date Oct 6, 2010 6:25:06 AM
 * @since 1.0
 */
public interface Parser {
    /**
     * @return the next record of {@literal null} if EOF was found.
     * @throws IOException
     *             problems reading the input stream
     * @throws ParseException
     *             the data does not make sense
     */
    Record getNext() throws ParseException, IOException;
}
